{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://rhino.mapcontent-dev.tomtom.com","description":"Generated server url"}],"security":[{"apikey":[]}],"tags":[{"name":"deliveries","description":"Deliveries"},{"name":"draft-notes","description":"Draft Notes"}],"paths":{"/draft-notes/{id}":{"put":{"tags":["draft-notes"],"summary":"Updates an existing draft note by id.","description":"To show the updated note to the customer, deliver the release notes by creating a new delivery.","operationId":"update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","example":"38f1ac0f-b6a9-4ada-a6a3-4bd0ace2d490"},"example":"38f1ac0f-b6a9-4ada-a6a3-4bd0ace2d490"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DraftNoteUpdateRequestDto"}}},"required":true},"responses":{"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"string"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"string"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["draft-notes"],"summary":"Deletes an existing draft note by id.","operationId":"deleteADraftNote","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","example":"38f1ac0f-b6a9-4ada-a6a3-4bd0ace2d490"},"example":"38f1ac0f-b6a9-4ada-a6a3-4bd0ace2d490"}],"responses":{"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"string"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[{"Authorization":[]}]}},"/draft-notes":{"get":{"tags":["draft-notes"],"summary":"Gets the latest draft notes for a certain release.","description":"If you're happy with the notes, you can deliver them by creating a new delivery.","operationId":"draft","parameters":[{"name":"releaseReferenceDto","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ReleaseReferenceDto","example":{"family":"Orbis Enterprise","product":"GLOBAL","version":"23100.000.000","deliveryType":"full","iterationType":"sample","tags[bundle]":"bundle00"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DraftNotesDto"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"string"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[{"Authorization":[]}]},"post":{"tags":["draft-notes"],"summary":"Creates a new draft note for a certain release.","operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DraftNoteCreateRequestDto"}}},"required":true},"responses":{"201":{"description":"Created","headers":{"Location":{"style":"simple","schema":{"type":"object","example":"/draft-notes?family=...&product=...&version=...&deliveryType=...&iterationType=..."}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DraftNoteIdDto"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"string"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"string"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["draft-notes"],"summary":"Delete all draft notes for a certain release.","operationId":"deleteAllDraftNotes","parameters":[{"name":"releaseReferenceDto","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ReleaseReferenceDto"}}],"responses":{"204":{"description":"No Content","content":{"*/*":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"string"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[{"Authorization":[]}]}},"/deliveries":{"get":{"tags":["deliveries"],"summary":"Gets the latest release note delivery for a certain release.","operationId":"getLatestVersion","parameters":[{"name":"releaseReferenceDto","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ReleaseReferenceDto","example":{"family":"Orbis Enterprise","product":"GLOBAL","version":"23100.000.000","deliveryType":"full","iterationType":"sample","tags[bundle]":"bundle00"}}},{"name":"zones","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"labels","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryDto"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"type":"string"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"type":"string"}}}},"404":{"description":"Not found","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[{"Authorization":[]}]},"post":{"tags":["deliveries"],"summary":"Delivers all draft notes for a certain release.","description":"A delivery is an immutable version of release notes. Should you find an error in a release note of a delivery, you must edit the draft note using its id, and create a new delivery. Delivering empty draft notes allows you to override a previous delivery.","operationId":"deliver","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseReferenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryVersionDto"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}}}},"security":[{"Authorization":[]}]}}},"components":{"schemas":{"DraftNoteUpdateRequestDto":{"type":"object","properties":{"zone":{"type":"string","example":"GLOBAL.BEL"},"category":{"type":"string","example":"KNOWN_ISSUE"},"label":{"type":"string","example":"pbf"},"content":{"type":"string","example":"A release note describing what changed."}}},"Errors":{"type":"object","properties":{"id":{"type":"string"},"date":{"type":"string","format":"date-time"},"path":{"type":"string"},"errors":{"type":"array","items":{"type":"string"}}}},"DraftNoteCreateRequestDto":{"type":"object","properties":{"release":{"$ref":"#/components/schemas/ReleaseReferenceDto"},"zone":{"type":"string","example":"GLOBAL.BEL"},"category":{"type":"string","example":"KNOWN_ISSUE"},"label":{"type":"string","example":"pbf"},"content":{"type":"string","example":"A release note describing what changed."}}},"ReleaseReferenceDto":{"type":"object","properties":{"family":{"type":"string","example":"Orbis Enterprise"},"product":{"type":"string","example":"GLOBAL"},"version":{"type":"string","example":"23100.000.000"},"deliveryType":{"type":"string","example":"full"},"iterationType":{"type":"string","example":"sample"},"tags":{"type":"string","example":{"bundle":"bundle00"}}}},"DraftNoteIdDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"}}},"DeliveryVersionDto":{"type":"object","properties":{"version":{"type":"integer","format":"int32","example":1}}},"DraftNoteDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"zone":{"type":"string"},"category":{"type":"string"},"label":{"type":"string"},"author":{"type":"string"},"lastUpdated":{"type":"string","format":"date-time"},"content":{"type":"string"}}},"DraftNotesDto":{"type":"object","properties":{"notes":{"type":"array","items":{"$ref":"#/components/schemas/DraftNoteDto"}}}},"DeliveryDto":{"type":"object","properties":{"version":{"type":"integer","format":"int32"},"createdAt":{"type":"string","format":"date-time"},"notes":{"type":"array","items":{"$ref":"#/components/schemas/DeliveryNoteDto"}}}},"DeliveryNoteDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"zone":{"type":"string"},"category":{"type":"string","enum":["KNOWN_ISSUE","SOLVED_ISSUE","RELEASE_NOTE"]},"label":{"type":"string"},"author":{"type":"string"},"lastUpdated":{"type":"string","format":"date-time"},"content":{"type":"string"}}}},"securitySchemes":{"Authorization":{"type":"apiKey","name":"Authorization","in":"header"}}}}